Bug 26762 - OPAC hold template markup error
Summary: OPAC hold template markup error
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on: 19718
Blocks:
  Show dependency treegraph
 
Reported: 2020-10-21 11:40 UTC by Owen Leonard
Modified: 2020-11-17 20:46 UTC (History)
13 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.06


Attachments
Bug 26762: Modify template logic in opac-reserves.tt to avoid error (2.27 KB, patch)
2020-10-21 11:59 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26762: Modify template logic in opac-reserves.tt to avoid error (2.32 KB, patch)
2020-10-24 19:32 UTC, David Nind
Details | Diff | Splinter Review
Screenshots - Before and after (128.66 KB, application/pdf)
2020-10-24 19:33 UTC, David Nind
Details
Bug 26762: Modify template logic in opac-reserves.tt to avoid error (2.38 KB, patch)
2020-10-25 01:10 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-10-21 11:40:16 UTC
Bug 19718 introduced a change to the template logic in opac-reserve.tt that is creating invalid markup under some conditions.
Comment 1 Owen Leonard 2020-10-21 11:59:31 UTC
Created attachment 112094 [details] [review]
Bug 26762: Modify template logic in opac-reserves.tt to avoid error

This patch makes a change to the OPAC hold template to prevent certain
cases where the output is invalid.

To reproduce, perform a search in the OPAC which will return some titles
which can be placed on hold and some which cannot.

 - Select all results (some holdable, some not)
 - Click the "Place hold" link
 - On the "Confirm holds" page the layout will be broken after the
   first instance of the message "There are no items that can be placed
   on hold."

To test, apply the patch and repeat the process above. After the patch
has been applied the "confirm holds" page should look correct.
Validating the HTML source should return no errors.
Comment 2 David Nind 2020-10-24 19:32:02 UTC
Created attachment 112392 [details] [review]
Bug 26762: Modify template logic in opac-reserves.tt to avoid error

This patch makes a change to the OPAC hold template to prevent certain
cases where the output is invalid.

To reproduce, perform a search in the OPAC which will return some titles
which can be placed on hold and some which cannot.

 - Select all results (some holdable, some not)
 - Click the "Place hold" link
 - On the "Confirm holds" page the layout will be broken after the
   first instance of the message "There are no items that can be placed
   on hold."

To test, apply the patch and repeat the process above. After the patch
has been applied the "confirm holds" page should look correct.
Validating the HTML source should return no errors.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2020-10-24 19:33:59 UTC
Created attachment 112394 [details]
Screenshots - Before and after

I've added a document with before and after screenshots.
Comment 4 Katrin Fischer 2020-10-25 01:10:46 UTC
Created attachment 112439 [details] [review]
Bug 26762: Modify template logic in opac-reserves.tt to avoid error

This patch makes a change to the OPAC hold template to prevent certain
cases where the output is invalid.

To reproduce, perform a search in the OPAC which will return some titles
which can be placed on hold and some which cannot.

 - Select all results (some holdable, some not)
 - Click the "Place hold" link
 - On the "Confirm holds" page the layout will be broken after the
   first instance of the message "There are no items that can be placed
   on hold."

To test, apply the patch and repeat the process above. After the patch
has been applied the "confirm holds" page should look correct.
Validating the HTML source should return no errors.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2020-10-25 23:09:50 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-11-13 21:44:16 UTC
backported to 20.05.x for 20.05.06
Comment 7 Aleisha Amohia 2020-11-17 05:00:48 UTC
missing dependencies, not backported to 19.11.x